# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# /Users/ec2-user/dgl-workspace/release-scripts/conda, last modified Wed Aug 24 05:01:52 2022
# ------------------------------------------------

package:
    name: dgl
    version: '0.9'
source:
    git_rev: 0.9.x
    git_url: https://github.com/dmlc/dgl.git
build:
    script_env:
        - CACHEDIR
        - CUDA_VER
        - USE_CUDA
    string: py310_0
requirements:
    build:
        - bzip2 1.0.8 h1de35cc_0
        - c-ares 1.18.1 hca72f7f_0
        - ca-certificates 2022.07.19 hecd8cb5_0
        - certifi 2022.6.15 py310hecd8cb5_0
        - cmake 3.22.1 hbfa4a85_0
        - curl 7.84.0 hca72f7f_0
        - cython 0.29.30 py310he9d5cce_0
        - expat 2.4.4 he9d5cce_0
        - gettext 0.21.0 h7535e17_0
        - git 2.34.1 pl5262h74264fa_0
        - icu 58.2 h0a44026_3
        - krb5 1.19.2 hcd88c3b_0
        - libcurl 7.84.0 h6dfd666_0
        - libcxx 12.0.0 h2f01273_0
        - libedit 3.1.20210910 hca72f7f_0
        - libev 4.33 h9ed2024_1
        - libffi 3.3 hb1e8313_2
        - libiconv 1.16 hca72f7f_2
        - libnghttp2 1.46.0 ha29bfda_0
        - libssh2 1.10.0 h0a4fc7d_0
        - libuv 1.40.0 haf1e3a3_0
        - libxml2 2.9.14 hbf8cd5e_0
        - llvm-openmp 12.0.0 h0dcd299_1
        - lz4-c 1.9.3 h23ab428_1
        - ncurses 6.3 hca72f7f_3
        - openssl 1.1.1q hca72f7f_0
        - pcre2 10.37 he7042d7_1
        - perl 5.26.2 h4e221da_0
        - pip 22.1.2 py310hecd8cb5_0
        - python 3.10.4 hdfd78df_0
        - readline 8.1.2 hca72f7f_1
        - rhash 1.4.1 hbcfaee0_1
        - setuptools 63.4.1 py310hecd8cb5_0
        - sqlite 3.39.2 h707629a_0
        - tk 8.6.12 h5d9f67b_0
        - tzdata 2022a hda174b7_0
        - wheel 0.37.1 pyhd3eb1b0_0
        - xz 5.2.5 hca72f7f_1
        - zlib 1.2.12 h4dc903c_2
        - zstd 1.5.2 hcb37349_0
    run:
        - networkx
        - numpy
        - psutil
        - python >=3.10,<3.11.0a0
        - requests
        - scipy
        - tqdm
about:
    home: https://github.com/dmlc/dgl.git
    license: Apache
    license_file: /Users/ec2-user/miniconda3/conda-bld/dgl_1661317519915/work/LICENSE
extra:
    copy_test_source_files: true
    final: true
